summaryrefslogtreecommitdiffstats
path: root/perl/perl-Date-Calc
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2011-03-16 01:18:10 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-03-20 12:32:34 -0500
commit93ba4df5022a8c4d422dd97a2a13ffa8a8946453 (patch)
treeea69c40d48150458e051a851cdf77e722c9118e2 /perl/perl-Date-Calc
parent6a511b1c665a1f7efecadaa3447af889b1dcba58 (diff)
downloadslackbuilds-93ba4df5022a8c4d422dd97a2a13ffa8a8946453.tar.gz
slackbuilds-93ba4df5022a8c4d422dd97a2a13ffa8a8946453.tar.xz
perl/*: Moved all of the Perl modules to here
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'perl/perl-Date-Calc')
-rw-r--r--perl/perl-Date-Calc/README9
-rw-r--r--perl/perl-Date-Calc/perl-Date-Calc.SlackBuild106
-rw-r--r--perl/perl-Date-Calc/perl-Date-Calc.info10
-rw-r--r--perl/perl-Date-Calc/slack-desc18
4 files changed, 143 insertions, 0 deletions
diff --git a/perl/perl-Date-Calc/README b/perl/perl-Date-Calc/README
new file mode 100644
index 0000000000..64eceeb3d4
--- /dev/null
+++ b/perl/perl-Date-Calc/README
@@ -0,0 +1,9 @@
+perl-Date-Calc provides perl modules for Gregorian calendar date calculations.
+
+perl-Date-Calc is required for pflogsumm.
+
+perl-Date-Calc requires:
+1. perl-Sub-Uplevel
+2. perl-Test-Exception
+3. perl-Carp-Clan
+4. perl-Bit-Vector \ No newline at end of file
diff --git a/perl/perl-Date-Calc/perl-Date-Calc.SlackBuild b/perl/perl-Date-Calc/perl-Date-Calc.SlackBuild
new file mode 100644
index 0000000000..b48bdefc8e
--- /dev/null
+++ b/perl/perl-Date-Calc/perl-Date-Calc.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware Package Build Script for perl modules: Date::Calc
+# Home Page http://search.cpan.org/dist/Date-Calc/
+
+# Copyright (c) 2008-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant@mnspace.net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SRCNAM=Date-Calc
+PRGNAM=perl-Date-Calc
+VERSION=6.3
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+### clean up from previous builds
+rm -fr $TMP/$SRCNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+### Extracting the source tarballs
+cd $TMP
+tar xzvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $TMP/$SRCNAM-$VERSION
+
+chown -R root.root .
+
+find . \
+\( -perm 664 -o -perm 666 -o -perm 600 -o -perm 440 -o -perm 444 -o -perm 400 \) \
+-exec chmod 644 {} \;
+
+find . \
+\( -perm 777 -o -perm 755 -o -perm 711 -o -perm 700 -o -perm 555 -o -perm 511 -o -perm 500 \) \
+-exec chmod 755 {} \;
+
+CFLAGS="$SLKCFLAGS" perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor
+make
+make install DESTDIR=$PKG
+
+### putting essential docs
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES.txt CREDITS.txt README.txt license/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+# move man pages
+mv $PKG/usr/share/man $PKG/usr
+
+# Remove perlocal.pod and .packlist from $PKG
+( cd $PKG
+ find . -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+# find and compress man pages
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ )
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Date-Calc/perl-Date-Calc.info b/perl/perl-Date-Calc/perl-Date-Calc.info
new file mode 100644
index 0000000000..b4199db0d1
--- /dev/null
+++ b/perl/perl-Date-Calc/perl-Date-Calc.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Date-Calc"
+VERSION="6.3"
+HOMEPAGE="http://search.cpan.org/dist/Date-Calc/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/S/ST/STBEY/Date-Calc-6.3.tar.gz"
+MD5SUM="9b64555b7051c1beb6b61daead2d01b3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="dsomero"
diff --git a/perl/perl-Date-Calc/slack-desc b/perl/perl-Date-Calc/slack-desc
new file mode 100644
index 0000000000..b9f27c04b8
--- /dev/null
+++ b/perl/perl-Date-Calc/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+ |-----handy-ruler--------------------------------------------|
+perl-Date-Calc: perl-Date-Calc (Date::Calc)
+perl-Date-Calc:
+perl-Date-Calc: perl-Date-Calc provides Gregorian calendar date calculations.
+perl-Date-Calc:
+perl-Date-Calc: Homepage: http://search.cpan.org/dist/Date-Calc/
+perl-Date-Calc:
+perl-Date-Calc:
+perl-Date-Calc:
+perl-Date-Calc:
+perl-Date-Calc:
+perl-Date-Calc: